# Repro

[Repro](https://repro.io/) an App / Web marketing platform used in more than 6,500 cases in 59 countries.\
Discover the issues that will lead to service growth with the analytics function, and use the marketing function to quickly implement measures and verify the effects.

{% hint style="info" %}
This Repro service integration is available for all Monaca users. However, if you want to use the latest Repro plugin via [GitHub](https://github.com/reproio/repro-ios-sdk), you can [import](/products_guide/monaca_ide/dependencies/cordova_plugin.md#import-cordova-plugins) it. In order to import this plugin, you need to subscribe to a valid plan. Please refer to [Monaca Subscription Plans](https://monaca.mobi/en/pricing).
{% endhint %}

## Adding Repro Service to Monaca

1. For Monaca Cloud IDE, go to `Configure → Service Integration Settings`.
2. Click on `Details` button of the *Repro* service.
3. Then, click `Install` button to add it into your project.

![](/files/-MfbrejX39InfSqkd1VK)

&#x20;    4\. You will be asked to confirm the setup. Click `OK` to start the installation.

## Configuring Repro Service in Monaca

You are required to have the app's token in order to use Repro. In order to get the token, please do as follows:

1. Register your app with Repro.
2. Find the app's token by going to `Settings → Setup SDK`.

![](/files/-MfbrskprG4Xzt6dQAGC)

&#x20;   3\. After you get the app's token, replace it in the following snippet of `onDeviceReady` function. Then, add this snippet to your project.

```javascript
document.addEventListener("deviceready",onDeviceReady,false);
function onDeviceReady() {
Repro.setup("YOUR_APP_TOKEN");
Repro.startRecording();
}
```

{% hint style="info" %}
For more information on how to use Repro, please refer to [Repro Documentation](http://docs.repro.io/en/).
{% endhint %}

## Removing Repro Service from Monaca

1. For Monaca Cloud IDE, go to `Configure → Cordova Plugin Settings`.
2. Under *Enabled Plugins* section, hover over the *Repro* plugin and click `Disable` button.

![](/files/-MfbsBSKvstFyjWBAi01)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/reference/service_integration/repro.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
